<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    let Arr12 = [1,2];
    let Arr13 = [2,3];
    let Arr14 = [3,4];
    let Arr15 = [2,4];

    var common = Arr12.filter(function(x) {
        return Arr13.includes(x);
    })
    console.log(common);
    
    var common1 = Arr12.filter(function(x) {
        return Arr13.includes(x) && Arr14.includes(x);
    })
    console.log(common1);

    var common2 = Arr12.filter(function(x) {
        return Arr13.includes(x) && Arr15.includes(x);
    })
    console.log(common2);
</script>
</html>